/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增行业机构企业信息 POST /api/IndustryBody/AddIndustryBody */
export async function addIndustryBody(body: API.AddIndustryBodyInput, options?: API.RequestConfig) {
  return request<number>('/api/IndustryBody/AddIndustryBody', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增行业机构审核信息 POST /api/IndustryBody/AddIndustryBodyAudit */
export async function addIndustryBodyAudit(
  body: API.AddIndustryBodyAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryBody/AddIndustryBodyAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取行业机构审核详情 GET /api/IndustryBody/GetIndustryBodyAuditDatilById */
export async function getIndustryBodyAuditDatilById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetIndustryBodyAuditDatilByIdParams,
  options?: API.RequestConfig
) {
  return request<API.IndustryBodyAuditDatilOutput>(
    '/api/IndustryBody/GetIndustryBodyAuditDatilById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取行业机构审核分页列表 POST /api/IndustryBody/GetIndustryBodyAuditPage */
export async function getIndustryBodyAuditPage(
  body: API.QueryIndustryBodyAuditListInput,
  options?: API.RequestConfig
) {
  return request<API.IndustryBodyAuditListOutputPageOutput>(
    '/api/IndustryBody/GetIndustryBodyAuditPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取行业机构企业信息详情 GET /api/IndustryBody/GetIndustryBodyDetail */
export async function getIndustryBodyDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetIndustryBodyDetailParams,
  options?: API.RequestConfig
) {
  return request<API.IndustryBodyDto>('/api/IndustryBody/GetIndustryBodyDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取行业机构分页列表 POST /api/IndustryBody/GetIndustryBodyPage */
export async function getIndustryBodyPage(
  body: API.QueryIndustryBodyListInput,
  options?: API.RequestConfig
) {
  return request<API.IndustryBodyListOutputPageOutput>('/api/IndustryBody/GetIndustryBodyPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取行业机构简单列表 GET /api/IndustryBody/GetIndustryBodySimpleList */
export async function getIndustryBodySimpleList(options?: API.RequestConfig) {
  return request<API.EnterpriseSimpleOutput[]>('/api/IndustryBody/GetIndustryBodySimpleList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取我的行业机构企业信息 POST /api/IndustryBody/GetMyIndustryBodyInfo */
export async function getMyIndustryBodyInfo(options?: API.RequestConfig) {
  return request<API.MyIndustryBodyDto>('/api/IndustryBody/GetMyIndustryBodyInfo', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 设置行业机构审核状态 POST /api/IndustryBody/SetIndustryBodyAuditStatus */
export async function setIndustryBodyAuditStatus(
  body: API.SetIndustryBodyAuditStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryBody/SetIndustryBodyAuditStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新行业机构企业信息 POST /api/IndustryBody/UpdateIndustryBody */
export async function updateIndustryBody(
  body: API.UpdateIndustryBodyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryBody/UpdateIndustryBody', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新行业机构审核信息 POST /api/IndustryBody/UpdateIndustryBodyAudit */
export async function updateIndustryBodyAudit(
  body: API.UpdateIndustryBodyAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryBody/UpdateIndustryBodyAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
